#ifndef __WEBRTCAECM_H__
#define __WEBRTCAECM_H__

#include <cstdint>

class WebRtcAecm {
public:
    ~WebRtcAecm();
    bool start(int sampleRate, int channels, int period);
    void close();
    void echoPlayback(const int16_t *play, int samples);
    void echoCancellation(const int16_t *nearendNoisy, const int16_t *nearendClean, int16_t *out, int samples);

private:
    void *m_hanlde = nullptr;
};

#endif // __WEBRTCAECM_H__